package com.ifavine.pay.adapter;

import android.content.Context;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.ifavine.pay.R;
import com.ifavine.pay.ui.base.ListBaseAdapter;
import com.ifavine.pay.ui.base.SuperViewHolder;
import com.ifavine.pay.vo.MonthRecordReport;

/**
 * Created by Administrator on 2018/10/25.
 */

public class MonthRecordReportAdapter extends ListBaseAdapter<MonthRecordReport> {


    public MonthRecordReportAdapter(Context context) {
        super(context);
    }


    @Override
    public int getLayoutId() {
        return R.layout.item_report_months;
    }

    @Override
    public void onBindItemHolder(SuperViewHolder holder, final int position) {
        MonthRecordReport questType = mDataList.get(position);

        TextView tv_WindowName = holder.getView(R.id.tv_WindowName);
        TextView tv_CanteenName = holder.getView(R.id.tv_CanteenName);
        TextView tv_DinnerAmount = holder.getView(R.id.tv_DinnerAmount);
        TextView tv_AllowanceAmount = holder.getView(R.id.tv_AllowanceAmount);
        TextView tv_asConsumption = holder.getView(R.id.tv_asConsumption);
        tv_WindowName.setText(questType.WindowName);
        tv_AllowanceAmount.setText(questType.AllowanceAmount);
        tv_CanteenName.setText(questType.CanteenName);
        tv_DinnerAmount.setText(questType.DinnerAmount);
        tv_asConsumption.setText(questType.asConsumption);

    }
}
